package ui;

import javax.microedition.lcdui.Graphics;

/*
 * Egy mezot megvalosito osztaly.
 */
public class Field {
    private int number;             //a mezon levo aktualis szam
    private final int indI, indJ;   //a mezo jatektablaban (matrix) elfoglalt indexei

    public Field(final int indI, final int indJ) {
        this.indI = indI;
        this.indJ = indJ;
    }

    public int getIndI() { return indI; }
    public int getIndJ() { return indJ; }

    public int getNumber() { return number; }
    public void setNumber(int number) { this.number = number; }

    //kirajzolas
    public void paint(Graphics g, int size, boolean actual) {
        //az ures (vagyis 0-dik) mezot vilagosabbra allitja, mint a tobbi
        if (number == 0) g.setColor(220, 220, 220);
        else g.setColor(200, 200, 200);
        g.fillRect(indJ * size, indI * size, size, size);

        //a kijelolt mezo kore egy piros keretet rajzol
        if (actual) {
            g.setColor(255, 0, 0);
            g.drawRect(indJ * size - 1, indI * size - 1 , size, size);
        }
        else g.setColor(0, 0, 0);
        g.drawRect(indJ * size, indI * size, size, size);

        if (number != 0) {
            int sz = size/2 - 6;
            g.setColor(0, 0, 0);
            g.drawString(String.valueOf(number), indJ * size + sz, indI * size + sz, 0);
        }
    }
}
